=== debian/changelog ===
libkgapi (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Follow Debian ABI bumps.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:45 +0100

libkgapi (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:09 +0100
