=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/applications/([\d.]+)/src/libkgapi-([\d.]+).tar.xz
