## libkgapi 20.08.2

=== debian/changelog ===
libkgapi (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:19 +0100

libkgapi (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:18 +0100

libkgapi (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Build depend on libkf5wallet-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:58 +0100
