## libkgapi 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})
 
 project(kgapi VERSION ${KGAPI_LIB_VERSION})
 
 set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # ECM setup
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -35,7 +36,7 @@
 )
 
 ############## Find Packages ##############
-set(QT_REQUIRED_VERSION "5.11.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
     Core
     Network
@@ -57,11 +58,10 @@
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
 
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
+add_definitions(-DQT_NO_EMIT)
 
 ############## Targets ##############
 add_subdirectory(src)
