=== debian/changelog ===
libkgapi (20.08.3-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath feature, as it triggers build failures when
    enabled (Closes: #972740).

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Mark autotests not failing build.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:38:54 +0100

libkgapi (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:07:32 +0200

libkgapi (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:05 +0200

libkgapi (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Remove the transitional libkf5gapi-data, no more needed now.
  * Unregister the old /etc/xdg/libkgapi.categories conffile.
  * Do not ship README.md as documentation for libkpimgapi-data.
  * Remove the unused ${shlibs:Depends} substvar from libkpimgapi-data.
  * Tighten the inter-library dependencies.
  * Simplify the dependencies of libkpimgapi-dev: use the sodeps addon instead
    of manually listing all the libraries.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 11:20:54 +0200

libkgapi (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:24 +0200

libkgapi (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.0).
  * Update watch file to the new release-service location.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * Update build-deps and deps with the info from cmake.
  * Switch to dh for building.
  * Bump compat level to 13.
  * Wrap long lines in changelog entries: 2.1.80-0ubuntu1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:20:05 +0200
