=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               libsasl2-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
               qtwebengine5-dev,
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkggapi

Package: libkf5gapi-data
Architecture: any
Depends: libkpimgapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12), ${kde-l10n:all}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpimgapiblogger5abi1 (= ${binary:Version}),
         libkpimgapicalendar5 (= ${binary:Version}),
         libkpimgapicontacts5 (= ${binary:Version}),
         libkpimgapicore5abi1 (= ${binary:Version}),
         libkpimgapidrive5 (= ${binary:Version}),
         libkpimgapilatitude5 (= ${binary:Version}),
         libkpimgapimaps5 (= ${binary:Version}),
         libkpimgapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapiblogger5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPIBlogger
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpimgapicore5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPICore
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         libqt5webengine5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.07.70)
Replaces: kdepim-runtime (<< 4:18.07.70)
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.
